package br.ime.usp.mac0322;

import static org.junit.Assert.*;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import br.usp.ime.mac0332.Calculadora;

public class TesteCalculadora {

	private Calculadora calculadora;

	@Before
	public void setUp() throws Exception {
		calculadora = new Calculadora();
	}

	@After
	public void tearDown() throws Exception {
		calculadora = null;
	}

	@Test
	public void somaPositivos() {
		assertEquals(42, calculadora.soma(11, 31));
	}

	@Test
	public void somaNegativos() {
		assertEquals(-42, calculadora.soma(-11, -31));
	}

	@Test
	public void divide() {
		assertEquals(42, calculadora.divide(84, 2));
	}

	@Test(expected = ArithmeticException.class)
	public void dividePorZero() {
		calculadora.divide(84, 0);
	}
}
